> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.pivolio.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.pivolio.com/_mcp/server.

# Get Reports Destinations Meta Delivery

GET /reports/destinations/meta/delivery

Reference: https://docs.pivolio.com/api-reference/pivolio/get-reports-destinations-meta-delivery

## Examples

**Response**

```json
{
  "points": [
    {
      "delivered": 520,
      "failed": 12,
      "timestamp": "2024-06-20T14:00:00Z"
    },
    {
      "delivered": 480,
      "failed": 15,
      "timestamp": "2024-06-20T15:00:00Z"
    },
    {
      "delivered": 510,
      "failed": 10,
      "timestamp": "2024-06-20T16:00:00Z"
    }
  ],
  "summary": {
    "delivered": 12500,
    "failed": 320,
    "p95_latency_ms": 450,
    "skipped": 150,
    "success_rate": 0.974
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.example.com/reports/destinations/meta/delivery"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://api.example.com/reports/destinations/meta/delivery';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.example.com/reports/destinations/meta/delivery"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.example.com/reports/destinations/meta/delivery")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.example.com/reports/destinations/meta/delivery")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.example.com/reports/destinations/meta/delivery');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.example.com/reports/destinations/meta/delivery");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.example.com/reports/destinations/meta/delivery")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```